<template>
  <v-row justify="center" class="mt-4 mb-4">
    <v-col cols="12" sm="12" md="12" lg="12">
      <v-card class="overflow-hidden">
        <v-app-bar color="cyan" dense dark>
          <v-app-bar-nav-icon></v-app-bar-nav-icon>
          <v-toolbar-title>จัดการต้นทุนค่าใช้จ่าย</v-toolbar-title>
          <v-spacer></v-spacer>
        </v-app-bar>
        <v-sheet>
          <v-row justify="center">
            <v-col class="auto" cols="12" sm="12" md="9" lg="9">
              <tableCreate :findLastID="findLastID" :itemList="itemList" />
            </v-col>
          </v-row>

          <v-row justify="center" class="mb-5">
            <v-col class="auto" cols="12" sm="12" md="11" lg="11">
              <tableList :itemData="itemTable" />
            </v-col>
          </v-row>
        </v-sheet>
      </v-card>
    </v-col>
  </v-row>
</template>
<script>
import tableCreate from '@/components/iexpenses/table/tableCreate'
import tableList from '@/components/iexpenses/table/tableList'

import { mapGetters, mapActions } from 'vuex'

export default {
  components: {
    tableCreate,
    tableList,
  },
  data() {
    return {
      valList: '',
      valType: '',
      editIndex: -1,
      defaultItem: {
        id: null,
        name: '',
        detail: '',
        auth: '',
        typeExpenses: {
          id: '',
          name: '',
          detail: '',
        },
      },
    }
  },
  computed: {
    ...mapGetters({
      costTable: 'getExpensesTable',
      lastID: 'getExpensesTableID',
      costList: 'getExpensesList',
    }),
    findLastID() {
      return this.lastID
    },
    itemTable() {
      return this.costTable
    },
    itemList() {
      return this.costList
    },
  },
  created() {
    // var parsedyourElement = JSON.parse(
    //   JSON.stringify(this.$nuxt.$store.state.expensestable.ExpensesTable)
    // )
  },
  mounted() {
    this.callTableAll()
    this.findID()
    this.callListAll()
    this.callUnitAll()
  },
  methods: {
    ...mapActions({
      callTableAll: 'callTableAll',
      findID: 'findID',
      callListAll: 'callListAll',
      callUnitAll: 'callUnitAll',
    }),
  },
}
</script>
<style scoped>

.v-icon {
  cursor: pointer;
}
.elevation-1.text {
  font-size: 40em;
}
</style>
